---
title: AudioWorkletProcessor.port
slug: Web/API/AudioWorkletProcessor/port
tags:
  - API
  - Audio
  - AudioWorkletProcessor
  - Experimental
  - Property
  - Reference
  - Web Audio API
---
<div>{{APIRef("Web Audio API")}}{{SeeCompatTable}}</div>

<p class="summary">The read-only <strong><code>port</code></strong> property of the {{domxref("AudioWorkletProcessor")}} interface returns the associated {{domxref("MessagePort")}}. It can be used to communicate between the processor and the {{domxref("AudioWorkletNode")}} to which it belongs.</p>

<div class="notecard note">
<p class="summary"><strong>Note</strong>: The port at the other end of the channel is available under the {{domxref("AudioWorkletNode.port", "port")}} property of the node.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>AudioWorkletProcessorInstance</em>.port;</pre>

<h3 id="Value">Value</h3>

<p>The {{domxref("MessagePort")}} object that is connecting the <code>AudioWorkletProcessor</code> and the associated <code>AudioWorkletNode</code>.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/AudioWorkletNode/port", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audioworkletprocessor-port', 'port')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioWorkletProcessor.port")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
